---
layout: wiki
title: index
---
# Akka.NET WIKI

### Introduction

- [What is Akka?](What is Akka)
- [Why Akka?](Why Akka)
- [Getting Started](Getting started)
- [The Obligatory Hello World](The Obligatory Hello World)
- [Use-case and Deployment Scenarios](Use case and Deployment Scenarios)
- [Examples of use-cases for Akka](Examples of use cases for Akka)

### General

- [Terminology, Concepts](Terminology)
- [Actor Systems](ActorSystem)
- [What is an Actor?](Actors)
- [Supervision and Monitoring](Supervision)
- [Actor References, Paths and Addresses](Addressing)
- [Location Transparency](Remoting)
- [Message Delivery Reliability](Message delivery reliability)
- [Configuration](Configuration)

### Actors

- [Actors](Actors)
- [Working with actors](Working with actors)
- [F# API](FSharp API)
- [ReceiveActors](ReceiveActor)
- [Typed Actors](TypedActor)
- [Finite State Machines](FSM)
- [Fault Tolerance](Fault tolerance)
- [Dispatchers](Dispatchers)
- [Mailboxes](Mailbox)
- [Routing](Routing)
- [Actor lifecycle](Actor lifecycle)
- [Props](Props)
- [Receive timeout](Receive timeout)
- [Dependency injection](Dependency injection)
- [Stash](Stash)

### Networking

- [Remoting](Remoting)
- [Serialization](Serialization)

### Utilities

- [EventBus](EventBus)
- [EventStream](EventStream)
- [Logging](Logging)
  - [Using Serilog](Serilog)
- [Scheduler](Scheduler)
- [Circuit Breaker](CircuitBreaker)

### Information for Akka Developers

- [Building and Distributing Akka.NET](Building and Distributing Akka.NET)
- [Contributor guidelines](Contributor guidelines)
- [Documentation Guidelines](Documentation guidelines)
- [Team](Team)

### Project Information

- [Licenses](Licenses)
- [Sponsors](Sponsors)
- [Project](Project)

### Additional Information

- [Frequently Asked Questions](FAQ)
- [Online resources](Resources)  
- [Books](Books)  